Commit 4e360a07 authored by AlmAck's avatar AlmAck

lts pgs update, bbswitch-lts, catalyst-legacy-lts, catalyst-lts, dkms-lts,...

lts pgs update, bbswitch-lts, catalyst-legacy-lts, catalyst-lts, dkms-lts, madwifi-lts, nvidia-173xx-lts, nvidia-lts
parent 624ac6aa
......@@ -3,39 +3,37 @@
#
# maintainer abveritas@chakra-project.org
_extramodules=extramodules-3.0-lts
_kver="$(cat /lib/modules/${_extramodules}/version)"
_extramodules=extramodules-3.2-CHAKRA-LTS
_kver="3.2.51-1-lts"
pkgname=bbswitch-lts
_pkgname=bbswitch
pkgver=0.4.2
pkgrel=4
pkgver=0.7
pkgrel=1
pkgdesc="kernel module allowing to switch dedicated graphics card on Optimus laptops"
arch=('x86_64')
url=("http://github.com/Bumblebee-Project/bbswitch")
license=('GPL')
provides=('bbswitch')
install=bbswitch.install
depends=('linux-lts>=3.0' 'linux-lts<3.1')
depends=('linux-lts>=3.2' 'linux-lts<3.4')
makedepends=('linux-lts' 'linux-lts-headers')
source=("https://github.com/downloads/Bumblebee-Project/bbswitch/${_pkgname}-${pkgver}.tar.gz")
md5sums=('0db72765c6accb49426a40c4cb1556d3')
source=("https://github.com/Bumblebee-Project/bbswitch/archive/v${pkgver}.tar.gz")
md5sums=('b9df5ea40109ef9766448a0577c798e6')
build() {
cd ${srcdir}/${_pkgname}-${pkgver}
make KDIR=/lib/modules/${_kver}/build KVERSION=${_kver}
}
package() {
cd ${srcdir}/${_pkgname}-${pkgver}
for _kernver in $(file /boot/* | grep "Linux kernel" | sed -e 's/^.*version //g' -e 's/ .*$//g' | xargs); do
[ -r "/usr/src/linux-${_kernver}/Makefile" ] || continue
msg2 "Building module for $_kernver..."
cd ${srcdir}/${_pkgname}-${pkgver}
msg2 "Building module for $_kver..."
# KDIR is necessary even when cleaning
make KDIR=/usr/src/linux-${_kernver} clean
make KDIR=/usr/src/linux-${_kernver}
install -D -m644 bbswitch.ko ${pkgdir}/lib/modules/${_kernver}/kernel/drivers/acpi/bbswitch.ko
done
#make KDIR=/usr/src/linux-${_kver} clean
mkdir -p $pkgdir//lib/modules/${_extramodules}
install -D -m644 bbswitch.ko $pkgdir/lib/modules/${_extramodules}
gzip "${pkgdir}/lib/modules/${_extramodules}/bbswitch.ko"
#automatically update bbswitch.install
sed -i -e "s/EXTRAMODULES='.*'/EXTRAMODULES='${_extramodules}'/" "${startdir}/bbswitch.install"
}
post_install() {
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
echo 'In order to use nvidia module, reboot the system.'
}
post_upgrade() {
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
post_remove() {
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
\ No newline at end of file
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer abveritas[at]chakra-project[dot]org>
_kernver="3.0.62-1-lts"
_kernver="3.2.51-1-lts"
pkgname=catalyst-legacy-lts
pkgver=13.1
pkgrel=2
pkgrel=3
pkgdesc="AMD/ATI Catalyst drivers for linux. fglrx kernel module only"
arch=('x86_64')
url="http://www.ati.amd.com"
screenshot="http://linuxtation3.files.wordpress.com/2007/03/pantallazo.jpg"
license=('custom')
depends=('linux-lts>=3.0' 'linux-lts<3.3' 'catalyst-legacy-utils')
depends=('linux-lts>=3.2' 'linux-lts<3.4' 'catalyst-legacy-utils')
makedepends=('gcc-libs' 'gcc>4.0.0' 'make' 'linux-lts-headers')
conflicts=('catalyst-test' 'nvidia' 'xf86-video-ati' 'xf86-video-radeonhd' 'catalyst')
install=catalyst.install
......
KERNEL_VERSION=3.0.62-1-lts
KERNEL_VERSION=3.2.51-1-lts
remove_hook(){
......@@ -11,18 +11,18 @@ remove_hook(){
}
post_install() {
EXTRAMODULES=extramodules-3.0-lts
EXTRAMODULES=extramodules-3.2-lts
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
post_upgrade() {
remove_hook
EXTRAMODULES=extramodules-3.0-lts
EXTRAMODULES=extramodules-3.2-lts
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
post_remove() {
EXTRAMODULES=extramodules-3.0-lts
EXTRAMODULES=extramodules-3.2-lts
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer abveritas[at]chakra-project[dot]org>
_kernver="3.0.62-1-lts"
_kernver="3.2.51-1-lts"
pkgname=catalyst-lts
pkgver=13.1
pkgrel=2
_amdver=9.01
pkgver=13.4
pkgrel=1
_amdver=12.104
pkgdesc="AMD/ATI Catalyst drivers for linux. fglrx kernel module only"
arch=('x86_64')
url="http://www.ati.amd.com"
screenshot="http://linuxtation3.files.wordpress.com/2007/03/pantallazo.jpg"
license=('custom')
depends=('linux-lts>=3.0' 'linux-lts<3.3' 'catalyst-utils')
depends=('linux-lts>=3.2' 'linux-lts<3.4' 'catalyst-utils')
makedepends=('gcc-libs' 'gcc>4.0.0' 'make' 'linux-lts-headers')
conflicts=('catalyst-test' 'nvidia' 'xf86-video-ati' 'xf86-video-radeonhd')
install=catalyst.install
source=(http://www2.ati.com/drivers/linux/amd-driver-installer-catalyst-${pkgver}-linux-x86.x86_64.zip
source=(http://www2.ati.com/drivers/linux/amd-catalyst-${pkgver}-linux-x86.x86_64.zip
ati_make.sh
makefile_compat.patch)
md5sums=('b5d9de9b000448dcc2a9eb74a889116d'
makefile_compat.patch
kolasa_fglrx_fixing_ttys.patch
lano1106_fglrx_intel_iommu.patch
lano1106_kcl_agp_13_4.patch
switchlibglx
switchlibGL)
md5sums=('558bd1b31173b06b25da647a7112e734'
'660396540b0ceaff71d6155c986734de'
'3e1b82bd69774ea808da69c983d6a43b')
'3e1b82bd69774ea808da69c983d6a43b'
'5f28dfc4c9fdb0fbfed69c8cb38659dd'
'5184b94a2a40216a67996999481dd9ee'
'c5156eddf81c8a1719b160d05a2e8d67'
'99032d919ede27884b5c3e87ab110a96'
'99032d919ede27884b5c3e87ab110a96')
build() {
......@@ -36,10 +45,10 @@ build() {
msg "Unpacking archive ..."
/bin/sh ./amd-driver-installer-catalyst-${pkgver}-linux-x86.x86_64.run --extract archive_files
BUILDARCH=x86_64
_archdir=x86_64
/bin/sh ./amd-catalyst-${pkgver}-linux-x86.x86_64.run --extract archive_files
BUILDARCH=x86_64
_archdir=x86_64
cd "${srcdir}/archive_files/"
......@@ -47,18 +56,21 @@ build() {
msg "Applying patch(es) ..."
# makefile patch to choose arch_compat_alloc_user_space or older compat_alloc_user_space
# works only in combination with ati_make.sh script
patch -p1 -i ../makefile_compat.patch || return 1
patch -p1 -i ../makefile_compat.patch
patch -Np1 -i ../kolasa_fglrx_fixing_ttys.patch
patch -Np1 -i ../lano1106_fglrx_intel_iommu.patch
patch -Np1 -i ../lano1106_kcl_agp_13_4.patch
cd "${srcdir}/archive_files/common/lib/modules/fglrx/build_mod"
cp "${srcdir}/archive_files/arch/${_archdir}/lib/modules/fglrx/build_mod/libfglrx_ip.a" . || return 1
cp 2.6.x/Makefile . || return 1
cp "${srcdir}/archive_files/arch/${_archdir}/lib/modules/fglrx/build_mod/libfglrx_ip.a" .
cp 2.6.x/Makefile .
msg "Compiling fglrx module ..."
# Compile module using _ati_check variables
make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" ARCH=${BUILDARCH} \
MODFLAGS="-DMODULE -DATI -DFGL -DPAGE_ATTR_FIX=$PAGE_ATTR_FIX -DCOMPAT_ALLOC_USER_SPACE=$COMPAT_ALLOC_USER_SPACE $def_smp $def_modversions" \
PAGE_ATTR_FIX=$PAGE_ATTR_FIX COMPAT_ALLOC_USER_SPACE=$COMPAT_ALLOC_USER_SPACE modules || return 1
PAGE_ATTR_FIX=$PAGE_ATTR_FIX COMPAT_ALLOC_USER_SPACE=$COMPAT_ALLOC_USER_SPACE modules
}
package() {
......@@ -79,14 +91,19 @@ package() {
cd "${srcdir}/archive_files/common/lib/modules/fglrx/build_mod"
install -m755 -d "${pkgdir}/lib/modules/${_destidir}/" || return 1
install -m644 fglrx.ko "${pkgdir}/lib/modules/${_destidir}/" || return 1
install -m755 -d "${pkgdir}/lib/modules/${_destidir}/"
install -m644 fglrx.ko "${pkgdir}/lib/modules/${_destidir}/"
find "${pkgdir}" -name '*.ko' -exec gzip -9 {} \;
sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/" $startdir/catalyst.install
# License
install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
install -m644 "${srcdir}/archive_files/LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
install -m644 "${srcdir}/archive_files/LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/"
# Switcheroo files
install -m755 -d "${pkgdir}/usr/lib/fglrx"
install -m644 "${srcdir}/switchlibglx" "${pkgdir}/usr/lib/fglrx/"
install -m644 "${srcdir}/switchlibGL" "${pkgdir}/usr/lib/fglrx/"
sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/" $startdir/*.install
}
......@@ -7,18 +7,18 @@ remove_hook(){
}
post_install() {
EXTRAMODULES=extramodules-3.0-lts
EXTRAMODULES=extramodules-3.2-lts
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
post_upgrade() {
remove_hook
EXTRAMODULES=extramodules-3.0-lts
EXTRAMODULES=extramodules-3.2-lts
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
post_remove() {
EXTRAMODULES=extramodules-3.0-lts
EXTRAMODULES=extramodules-3.2-lts
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
diff -uN 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c
--- 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c 2013-04-16 23:29:55.000000000 +0200
+++ 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c 2013-05-19 12:05:33.842076474 +0200
@@ -3088,7 +3156,11 @@
int ATI_API_CALL KCL_EFI_IS_ENABLED(void)
{
#ifdef CONFIG_EFI
+#ifdef EFI_BOOT
+ return efi_enabled(EFI_BOOT);
+#else
return efi_enabled;
+#endif
#else
return 0;
#endif
--- 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c 2013-04-16 23:29:55.000000000 +0200
+++ 13.4/common/lib/modules/fglrx/build_mod/firegl_public.c 2013-05-21 17:05:34.726681102 +0200
@@ -93,7 +93,7 @@
and they use different config options. These options can only be enabled
on x86_64 with newer 2.6 kernels (2.6.23 for intel, 2.6.26 for amd).
*/
-#if defined(CONFIG_AMD_IOMMU) || defined(CONFIG_DMAR)
+#if defined(CONFIG_AMD_IOMMU) || defined(CONFIG_INTEL_IOMMU)
#define FIREGL_DMA_REMAPPING
#endif
--- 13.4/common/lib/modules/fglrx/build_mod/kcl_agp.c 2013-05-24 16:45:52.236740084 -0400
+++ 13.4/common/lib/modules/fglrx/build_mod/kcl_agp.c 2013-05-24 16:49:29.283579408 -0400
@@ -56,6 +56,43 @@ unsigned int KCL_AGP_IsInUse(void)
return kcl_agp_is_in_use;
}
+/** \brief Find AGP caps registers in PCI config space
+ ** \param dev PCI device handle
+ ** \return Positive register index on success, negative errno on error
+ */
+int ATI_API_CALL KCL_AGP_FindCapsRegisters(KCL_PCI_DevHandle dev)
+{
+ u8 capndx;
+ u32 cap_id;
+
+ if (!dev)
+ {
+ return -ENODEV;
+ }
+
+ pci_read_config_byte((struct pci_dev*)dev, 0x34, &capndx);
+
+ if (capndx == 0x00)
+ {
+ return -ENODATA;
+ }
+
+ do
+ { // search capability list for AGP caps
+ pci_read_config_dword((struct pci_dev*)dev, capndx, &cap_id);
+
+ if ((cap_id & 0xff) == 0x02)
+ {
+ return capndx;
+ }
+
+ capndx = (cap_id >> 8) & 0xff;
+ }
+ while (capndx != 0x00);
+
+ return -ENODATA;
+}
+
#if defined(CONFIG_AGP) || defined(CONFIG_AGP_MODULE)
typedef struct {
@@ -272,43 +309,6 @@ int ATI_API_CALL KCL_AGP_Enable(unsigned
}
}
-/** \brief Find AGP caps registers in PCI config space
- ** \param dev PCI device handle
- ** \return Positive register index on success, negative errno on error
- */
-int ATI_API_CALL KCL_AGP_FindCapsRegisters(KCL_PCI_DevHandle dev)
-{
- u8 capndx;
- u32 cap_id;
-
- if (!dev)
- {
- return -ENODEV;
- }
-
- pci_read_config_byte((struct pci_dev*)dev, 0x34, &capndx);
-
- if (capndx == 0x00)
- {
- return -ENODATA;
- }
-
- do
- { // search capability list for AGP caps
- pci_read_config_dword((struct pci_dev*)dev, capndx, &cap_id);
-
- if ((cap_id & 0xff) == 0x02)
- {
- return capndx;
- }
-
- capndx = (cap_id >> 8) & 0xff;
- }
- while (capndx != 0x00);
-
- return -ENODATA;
-}
-
/** \brief Get AGP caps
** \param dev PCI device handle
** \param caps pointer to caps vector
--- cat11.2/common/lib/modules/fglrx/build_mod/firegl_public.c 2011-02-02 19:39:49.000000000 +0100
+++ cat11.2/common/lib/modules/fglrx/build_mod/firegl_public.c 2011-02-17 14:45:38.197914622 +0100
@@ -1894,13 +1894,11 @@
/** \brief Grab global kernel lock */
void ATI_API_CALL KCL_GlobalKernelLock(void)
{
- lock_kernel();
}
/** \brief Release global kernel lock */
void ATI_API_CALL KCL_GlobalKernelUnlock(void)
{
- unlock_kernel();
}
/*****************************************************************************/
#!/bin/bash
# switchlibGL and switchlibglx
#
# Copyright (c) 2011 Advanced Micro Devices, Inc.
#
# Purpose:
# For switch between AMD and Intel graphic driver library.
#
# Usage:
# switchlibGL amd|intel|query
# amd: switches to the AMD version of libGL.
# intel: switches to the open-source version of libGL .
# query: checks, which version is currently active and prints either "amd"
# or "intel" or "unknown" on the standard output.
# must be root to execute this script
ARCH=`uname -m`
E_ERR=1
# Check if root
if [ "`whoami`" != "root" ]; then
echo "Must be root to run this script." 1>&2
exit $E_ERR
fi
# One parameter
if [ $# -ne 1 ]; then
echo "Usage: `basename $0` amd|intel|query " 1>&2
echo "Please choose one parameter " 1>&2
exit $E_ERR
fi
# Switch to right mode
case "$1" in
"amd" )
eselect opengl set ati
;;
"intel" )
eselect opengl set xorg-x11
;;
"query" )
current=`eselect opengl show`
case "$current" in
"ati" )
echo "amd"
;;
"xorg-x11" )
echo "intel"
;;
esac
;;
* ) echo "Usage: `basename $0` amd|intel|query" 1>&2; exit $E_ERR;;
# other than amd|intel|query parameter report an error
esac
# A zero return value from the script upon exit indicates success.
exit 0
#!/bin/bash
# switchlibGL and switchlibglx
#
# Copyright (c) 2011 Advanced Micro Devices, Inc.
#
# Purpose:
# For switch between AMD and Intel graphic driver library.
#
# Usage:
# switchlibGL amd|intel|query
# amd: switches to the AMD version of libGL.
# intel: switches to the open-source version of libGL .
# query: checks, which version is currently active and prints either "amd"
# or "intel" or "unknown" on the standard output.
# must be root to execute this script
ARCH=`uname -m`
E_ERR=1
# Check if root
if [ "`whoami`" != "root" ]; then
echo "Must be root to run this script." 1>&2
exit $E_ERR
fi
# One parameter
if [ $# -ne 1 ]; then
echo "Usage: `basename $0` amd|intel|query " 1>&2
echo "Please choose one parameter " 1>&2
exit $E_ERR
fi
# Switch to right mode
case "$1" in
"amd" )
eselect opengl set ati
;;
"intel" )
eselect opengl set xorg-x11
;;
"query" )
current=`eselect opengl show`
case "$current" in
"ati" )
echo "amd"
;;
"xorg-x11" )
echo "intel"
;;
esac
;;
* ) echo "Usage: `basename $0` amd|intel|query" 1>&2; exit $E_ERR;;
# other than amd|intel|query parameter report an error
esac
# A zero return value from the script upon exit indicates success.
exit 0
......@@ -7,7 +7,7 @@
pkgname=dkms-lts
_pkgname=dkms
pkgver=2.2.0.3
pkgrel=6
pkgrel=7
pkgdesc='Dynamic Kernel Modules System'
arch=('any')
url='http://linux.dell.com/dkms/'
......
......@@ -4,29 +4,29 @@
# maintainer abveritas@chakra-project.org
# Find the kernel name inside the chroot
_extramodules=extramodules-3.0-lts
_kver="$(cat /lib/modules/${_extramodules}/version)"
_extramodules=extramodules-3.2-CHAKRA-LTS
_kver="3.2.51-1-lts"
pkgname=madwifi-lts
pkgver=0.9.4.4173
_ver=0.9.4-r4173-20111008
pkgver=0.9.4.4181
_ver=r4181-20130909
pkgrel=7
pkgdesc="Madwifi drivers for Atheros wireless chipsets"
arch=('x86_64')
license=('GPL')
url="http://madwifi-project.org"
depends=('madwifi-utils' 'linux-lts>=3.0' 'linux-lts<3.1')
depends=('madwifi-utils' 'linux-lts>=3.2' 'linux-lts<3.4')
makedepends=('linux-lts-headers' 'sharutils')
install=madwifi-ng.install
# subversion source: svn checkout http:/madwifi-project.org/svn/madwifi/trunk madwifi
source=(http://chakra-linux.org/sources/madwifi/madwifi-${pkgver}.tar.gz)
source=(http://snapshots.madwifi-project.org/madwifi-trunk-current.tar.gz)
#http://downloads.sourceforge.net/madwifi/madwifi-${pkgver}.tar.gz)
md5sums=('18cd1c574e0fa66eb4396f92f0700a7e')
md5sums=('6505f0a18a3115915daf4dba9ddba4fc')
groups=("linux-lts-modules")
build()
{
cd madwifi-$_ver
cd madwifi-trunk-$_ver
# kernel 3.2 abi change
sed -i -e "s/.ndo_set_multicast_list/.ndo_set_rx_mode/" ath/if_ath.c
......@@ -40,7 +40,7 @@ build()
package()
{
cd madwifi-$_ver
cd madwifi-trunk-$_ver
make KERNELPATH=/lib/modules/${_kver}/build KERNELRELEASE=${_kver} modules \
DESTDIR="${pkgdir}" KERNELRELEASE=${_kver} install-modules
sed -i -e "s/EXTRAMODULES='.*'/EXTRAMODULES='${_extramodules}'/" ${startdir}/*.install
......
......@@ -5,7 +5,7 @@ post_install()
post_upgrade()
{
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
......
......@@ -4,16 +4,16 @@
# maintainer abveritas@chakra-project.org
# Find the kernel name inside the chroot
_extramodules=extramodules-3.0-lts
_kver="$(cat /lib/modules/${_extramodules}/version)"
_extramodules=extramodules-3.2-CHAKRA-LTS
_kver="3.2.51-1-lts"
pkgname=nvidia-173xx-lts
pkgver=173.14.36
pkgrel=1
pkgrel=2
arch=('x86_64')
ARCH=x86_64
url="http://www.nvidia.com/"
depends=('linux-lts>=3.0' 'linux-lts<3.1' 'nvidia-173xx-utils')
depends=('linux-lts>=3.2' 'linux-lts<3.4' 'nvidia-173xx-utils')
makedepends=('linux-lts-headers')
conflicts=('nvidia-96xx-lts' 'nvidia-lts')
license=('custom')
......
post_install() {
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
echo 'In order to use nvidia module, reboot the system.'
echo "blacklist nouveau" > "/etc/modprobe.d/nouveau_blacklist.conf"
}
post_upgrade() {
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
echo "blacklist nouveau" > "/etc/modprobe.d/nouveau_blacklist.conf"
}
post_remove() {
EXTRAMODULES='extramodules-3.0-lts'
EXTRAMODULES='extramodules-3.2-CHAKRA-LTS'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
rm "/etc/modprobe.d/nouveau_blacklist.conf"
}
# maintainer abveritas@chakra-project.org
# Find the kernel name inside the chroot
_extramodules=extramodules-`pacman -Q linux-lts | cut -c11-13 | sed 's/linux-lts //g'`-lts
_kver="$(cat /lib/modules/${_extramodules}/version)"
_extramodules=extramodules-3.2-CHAKRA-LTS
_kver="3.2.51-1-lts"
pkgname=nvidia-lts
pkgver=319.32
pkgver=319.49
pkgrel=1
pkgdesc="NVIDIA drivers for linux."
arch=('x86_64')
url="http://www.nvidia.com/"
depends=('linux-lts>=3.0' 'linux-lts<3.1' "nvidia-utils=${pkgver}")
depends=('linux-lts>=3.2' 'linux-lts<3.4' "nvidia-utils=${pkgver}")
makedepends=('linux-lts-headers')
conflicts=('nvidia-96xx-lts' 'nvidia-173xx-lts')
license=('custom')
......@@ -19,7 +19,7 @@ install=nvidia.install
_ARCH='x86_64'